Collective Medical Policies

Collective Medical Technologies, Inc. operates a software-as-a-service network pursuant to which physicians, hospitals, clinics, medical groups, health plans, managed care organizations and other licensed providers share patient information to coordinate care, collaborate on case management, and provide for treatment of their patients through the Collective platform.

Subscribers to the Collective platform must accept and comply with the policies set forth below, as applicable, in order to ensure secure and efficient operation of the Services and compliance with applicable state and federal legal requirements.

Collective may change these Policies from time to time in its sole discretion.

Security Policy 

Collective Security Policy

Updated March 19, 2018

The Collective Security Policy outlines certain minimum safeguards relating to information security standards,  security monitoring, and incident reporting and is consistent with the requirements of the HIPAA Security Rule (45 CFR Part 164). 

Terms of Use

Terms of Use

Updated February 1, 2018 – Version 1.2

Terms of Use – Web Version

Updated October 1, 2015

Each user of the Collective platform service must accept and comply with the Terms of Use, which address topic related to appropriate and secure use of the Services.

System Requirements

  • Javascript must be enabled
  • Cookies must be enabled
  • Recommended: add “*.collectivemedical.com” to the secure sites list for your browser(s)
Collective Platform Browser Support
Mac OSWindows
Internet Explorer 8n/a*not supported
Internet Explorer 9n/a**not supported
Internet Explorer 10n/a**not supported
Internet Explorer 11 (and greater)n/asupported
Microsoft Edgen/asupported
Chromesupportedsupported
Firefoxsupportedsupported
Safarinot supportednot supported


Collective Medical requires the use of TLS 1.2 to access the Collective Platform
* as of Jan 1, 2016, the Collective Platform no longer supports Internet Explorer 8
** as of Apr 1, 2017, the Collective Platform no longer supports Internet Explorer 9 or 10